Bug 996232 - Review Request: pocl - Portable Computing Language
Review Request: pocl - Portable Computing Language
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Björn "besser82" Esser
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-12 13:39 EDT by Fabian Deutsch
Modified: 2013-09-29 20:50 EDT (History)
7 users (show)

See Also:
Fixed In Version: pocl-0.8-7.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-10 21:51:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
fedora: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
build.log - FTBFS in rawhide (6.30 KB, text/x-log)
2013-08-13 04:46 EDT, Björn "besser82" Esser
no flags Details

  None (edit)
Description Fabian Deutsch 2013-08-12 13:39:05 EDT
Spec URL: https://raw.github.com/fabiand/pocl-spec/master/pocl.spec
SRPM URL: http://fedorapeople.org/~fabiand/pocl/pocl-0.8-1.fc19.src.rpm
Description:
Pocl's goal is to become an efficient open source (MIT-licensed) implementation
of the OpenCL 1.2 (and soon OpenCL 2.0) standard.

In addition to producing an easily portable open-source OpenCL implementation,
another major goal of this project is improving performance portability of
OpenCL programs with compiler optimizations, reducing the need for
target-dependent manual optimizations.

At the core of pocl is the kernel compiler that consists of a set of LLVM
passes used to statically transform kernels into work-group functions with
multiple work-items, even in the presence of work-group barriers. These
functions are suitable for parallelization in multiple ways (SIMD, VLIW,
superscalar,...).

Fedora Account System Username: fabiand
Comment 1 Fabian Deutsch 2013-08-12 13:46:36 EDT
The package doesn't currently build in F19 because the required package ocl-icd-devel is still in updates-testing.
Comment 2 Björn "besser82" Esser 2013-08-12 14:07:11 EDT
(In reply to Fabian Deutsch from comment #1)
> The package doesn't currently build in F19 because the required package
> ocl-icd-devel is still in updates-testing.

Is a buildroot-override for koji avail?  Or do I need to create it myself?  When will this come out of u-t?

#####

I'll take it.  Doing review tomorrow in the early mornin' (CEST) :)
Comment 3 Susi Lehtola 2013-08-12 15:15:32 EDT
You're missing directory ownership on all the directories.

%{_sysconfdir}/OpenCL/
%{_datadir}/pocl/
%{_libdir}/pocl/
%{_includedir}/pocl/

Also, -libs contains the same .so files as -devel.

**

Why do you run autoreconf?
Comment 4 Fabian Deutsch 2013-08-12 16:05:05 EDT
Thanks for the feedback.

I'll prepare an update and provide
koji and rpmlint output tomorrow.
Comment 5 Björn "besser82" Esser 2013-08-13 04:46:42 EDT
Created attachment 786076 [details]
build.log - FTBFS in rawhide

FTBFS in rawhide!

  checking for HWLOC... no
  configure: error: hwloc 1.0+ is required

BRs are sane?
Comment 6 Fabian Deutsch 2013-08-13 06:31:27 EDT
An updated SRPM addressing many problems:
- Updated BRs (hwloc, llvm, mesa)
- Update description
- Add hwloc, llvm, mesa-libGL BR
- Glob for bc and type files (arch dep names)
- ExcludeArch armv7hl (only armv7l supported)


Spec URL: https://raw.github.com/fabiand/pocl-spec/0.8-2/pocl.spec
SRPM URL: http://fedorapeople.org/~fabiand/pocl/pocl-0.8-2.fc19.src.rpm


Koji build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=5811117

$ reset ; rpmlint -v pocl.spec ~/rpmbuild/SRPMS/pocl-0.8-2.fc19.src.rpm ~/rpmbuild/RPMS/x86_64/pocl-*-0.8-2* pocl pocl-libs
pocl.spec: I: checking-url http://pocl.sourceforge.net/downloads/pocl-0.8.tar.gz (timeout 10 seconds)
pocl.src: I: checking
pocl.src: W: spelling-error %description -l en_US optimizations -> optimization, optimization's, optimization s
pocl.src: W: spelling-error %description -l en_US parallelization -> palatalization, rationalization, pluralization
pocl.src: W: spelling-error %description -l en_US superscalar -> super scalar, super-scalar, superstar
pocl.src: I: checking-url http://pocl.sourceforge.net (timeout 10 seconds)
pocl.src: I: checking-url http://pocl.sourceforge.net/downloads/pocl-0.8.tar.gz (timeout 10 seconds)
pocl-debuginfo.x86_64: I: checking
pocl-debuginfo.x86_64: I: checking-url http://pocl.sourceforge.net (timeout 10 seconds)
pocl-devel.x86_64: I: checking
pocl-devel.x86_64: I: checking-url http://pocl.sourceforge.net (timeout 10 seconds)
pocl-devel.x86_64: W: no-documentation
pocl-devel.x86_64: W: dangling-relative-symlink /usr/lib64/pocl/llvmopencl.so llvmopencl.so.1.1.0

devel depends on libs, so this should be no problem

pocl-libs.x86_64: I: checking
pocl-libs.x86_64: W: spelling-error %description -l en_US runtime -> run time, run-time, rudiment
pocl-libs.x86_64: I: checking-url http://pocl.sourceforge.net (timeout 10 seconds)
pocl-libs.x86_64: W: shared-lib-calls-exit /usr/lib64/libpocl.so.1.1.0 exit@GLIBC_2.2.5

I will get in contact with upstream about this

pocl-libs.x86_64: W: no-documentation
pocl-libs.x86_64: W: non-conffile-in-etc /etc/OpenCL/vendors/pocl.icd

We could make the .icd file a config file, but it actually isn't one

pocl.x86_64: I: checking
pocl.x86_64: W: spelling-error %description -l en_US optimizations -> optimization, optimization's, optimization s
pocl.x86_64: W: spelling-error %description -l en_US parallelization -> palatalization, rationalization, pluralization
pocl.x86_64: W: spelling-error %description -l en_US superscalar -> super scalar, super-scalar, superstar
pocl.x86_64: I: checking-url http://pocl.sourceforge.net (timeout 10 seconds)
pocl.x86_64: E: no-binary

There is only a script /usr/bin/pocl-standalone - which is not recognized as an executable.

pocl.x86_64: W: no-manual-page-for-binary pocl-standalone
pocl-libs.x86_64: I: checking
pocl-libs.x86_64: W: spelling-error %description -l en_US runtime -> run time, run-time, rudiment
pocl-libs.x86_64: I: checking-url http://pocl.sourceforge.net (timeout 10 seconds)
pocl-libs.x86_64: W: shared-lib-calls-exit /usr/lib64/libpocl.so.1.1.0 exit@GLIBC_2.2.5
pocl-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libpoclu.so.1.1.0 clGetDeviceInfo
pocl-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libpoclu.so.1.1.0 clGetPlatformIDs
pocl-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libpoclu.so.1.1.0 clCreateContextFromType

Will get in contact with upstream about this.

pocl-libs.x86_64: W: no-documentation
pocl-libs.x86_64: W: non-conffile-in-etc /etc/OpenCL/vendors/pocl.icd
6 packages and 1 specfiles checked; 1 errors, 20 warnings.
Comment 7 Fabian Deutsch 2013-08-13 08:18:29 EDT
(In reply to Fabian Deutsch from comment #6)
> pocl-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libpoclu.so.1.1.0
> clGetDeviceInfo
> pocl-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libpoclu.so.1.1.0
> clGetPlatformIDs
> pocl-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libpoclu.so.1.1.0
> clCreateContextFromType
> 
> Will get in contact with upstream about this.


<visit0r> it's because you use an icd loader which has been compiled against 1.1 (or older) headers which do not have clGetDeviceInfo

-> the headers have been updated, maybe the package isn't build yet.
Comment 8 Fabian Deutsch 2013-08-13 08:46:07 EDT
(In reply to Fabian Deutsch from comment #7)
> (In reply to Fabian Deutsch from comment #6)
> > pocl-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libpoclu.so.1.1.0
> > clGetDeviceInfo
> > pocl-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libpoclu.so.1.1.0
> > clGetPlatformIDs
> > pocl-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libpoclu.so.1.1.0
> > clCreateContextFromType
> > 
> > Will get in contact with upstream about this.
> 
> 
> <visit0r> it's because you use an icd loader which has been compiled against
> 1.1 (or older) headers which do not have clGetDeviceInfo
> 
> -> the headers have been updated, maybe the package isn't build yet.

okay, the real problem is that libpoclu is not linked against libOpenCL (from ocl-icd).
But this shouldn't be problematic because the app will always link against the loader (ocl-icd) and not the implementataion (pocl, ...).

Besides that it's going to be fixed in the future. (fixed by upstream)
Comment 9 Fabian Deutsch 2013-08-13 08:47:17 EDT
(In reply to Fabian Deutsch from comment #6)> pocl-libs.x86_64: W: shared-lib-calls-exit /usr/lib64/libpocl.so.1.1.0
> exit@GLIBC_2.2.5
> 
> I will get in contact with upstream about this

<visit0r> the "calls exit" is because we have assertions such as POCL_ABORT_UNIMPLEMENTED() which we add to parts of the functions that are not yet implemented (up to the standard conformance)
Comment 10 Peter Lemenkov 2013-08-14 06:19:43 EDT
Still FTBFS on my Fedora-PPC Rawhide.

ошибка: Файл не найден: /home/petro/rpmbuild/BUILDROOT/pocl-0.8-2.fc20.ppc/usr/lib/pocl/*/kernel-*-redhat-linux-gnu.bc


Ошибки сборки пакетов:
    Файл указан дважды: /usr/share/pocl/pocl-build
    Файл указан дважды: /usr/share/pocl/pocl-kernel
    Файл указан дважды: /usr/share/pocl/pocl-workgroup
    Файл не найден: /home/petro/rpmbuild/BUILDROOT/pocl-0.8-2.fc20.ppc/usr/lib/pocl/*/kernel-*-redhat-linux-gnu.bc
sulaco ~/rpmbuild/SPECS:
Comment 11 Peter Lemenkov 2013-08-14 06:21:35 EDT
You really should try to build packages before submitting them. This is a clearly visible issue:

%{_datadir}/pocl/
%{_datadir}/pocl/pocl-build
%{_datadir}/pocl/pocl-kernel
%{_datadir}/pocl/pocl-workgroup
Comment 12 Fabian Deutsch 2013-08-14 06:38:45 EDT
(In reply to Peter Lemenkov from comment #10)
> Still FTBFS on my Fedora-PPC Rawhide.
> 
> ошибка: Файл не найден:
> /home/petro/rpmbuild/BUILDROOT/pocl-0.8-2.fc20.ppc/usr/lib/pocl/*/kernel-*-
> redhat-linux-gnu.bc
> 
> 
> Ошибки сборки пакетов:
>     Файл указан дважды: /usr/share/pocl/pocl-build
>     Файл указан дважды: /usr/share/pocl/pocl-kernel
>     Файл указан дважды: /usr/share/pocl/pocl-workgroup
>     Файл не найден:
> /home/petro/rpmbuild/BUILDROOT/pocl-0.8-2.fc20.ppc/usr/lib/pocl/*/kernel-*-
> redhat-linux-gnu.bc
> sulaco ~/rpmbuild/SPECS:

It would be nice if you could provide this in english.

And I did build this. Just not on PPC.
See the koji link:
http://koji.fedoraproject.org/koji/taskinfo?taskID=5811117
Comment 13 Fabian Deutsch 2013-08-14 06:44:34 EDT
I'll do a ppc build for the next update.

(In reply to Susi Lehtola from comment #3)
> You're missing directory ownership on all the directories.
> 
> %{_sysconfdir}/OpenCL/
> %{_datadir}/pocl/
> %{_libdir}/pocl/
> %{_includedir}/pocl/

Thanks. I'll also address this ownership issue.

> Also, -libs contains the same .so files as -devel.

I've fixed that.

> Why do you run autoreconf?

That's a mistake.
Comment 14 Peter Lemenkov 2013-08-14 06:50:16 EDT
(In reply to Fabian Deutsch from comment #13)
> I'll do a ppc build for the next update.
> 
> (In reply to Susi Lehtola from comment #3)
> > You're missing directory ownership on all the directories.
> > 
> > %{_sysconfdir}/OpenCL/
> > %{_datadir}/pocl/
> > %{_libdir}/pocl/
> > %{_includedir}/pocl/
> 
> Thanks. I'll also address this ownership issue.

I'm afraid there is more. Please take a look at the logs you provided:


warning: File listed twice: /usr/share/pocl/pocl-build
warning: File listed twice: /usr/share/pocl/pocl-kernel
warning: File listed twice: /usr/share/pocl/pocl-workgroup

warning: File listed twice: /usr/lib64/pocl/llvmopencl.so.1
warning: File listed twice: /usr/lib64/pocl/llvmopencl.so.1.1.0
warning: File listed twice: /usr/lib64/pocl/x86_64/kernel-x86_64-redhat-linux-gnu.bc

warning: File listed twice: /usr/include/pocl/_kernel.h
warning: File listed twice: /usr/include/pocl/arm/types.h
warning: File listed twice: /usr/include/pocl/arm/types.h
warning: File listed twice: /usr/include/pocl/pocl.h
warning: File listed twice: /usr/include/pocl/pocl_device.h
warning: File listed twice: /usr/include/pocl/tce/types.h
warning: File listed twice: /usr/include/pocl/tce/types.h
warning: File listed twice: /usr/include/pocl/x86_64/types.h

Not sure why it didn't trigger the error, just warning.
Comment 15 Fabian Deutsch 2013-08-14 06:54:04 EDT
Ownership:
%{_sysconfdir}/OpenCL/
%{_sysconfdir}/OpenCL/vendors/

This should probably be owned by opencl-headers or ocl-icd.

%{_datadir}/pocl/
%{_libdir}/pocl/
%{_includedir}/pocl/

They are already owned in 0.8-2
Comment 16 Fabian Deutsch 2013-08-14 06:59:54 EDT
(In reply to Peter Lemenkov from comment #14)
> (In reply to Fabian Deutsch from comment #13)
> > I'll do a ppc build for the next update.
> > 
> > (In reply to Susi Lehtola from comment #3)
> > > You're missing directory ownership on all the directories.
> > > 
> > > %{_sysconfdir}/OpenCL/
> > > %{_datadir}/pocl/
> > > %{_libdir}/pocl/
> > > %{_includedir}/pocl/
> > 
> > Thanks. I'll also address this ownership issue.
> 
> I'm afraid there is more. Please take a look at the logs you provided:
> 
> 
> warning: File listed twice: /usr/share/pocl/pocl-build
> warning: File listed twice: /usr/share/pocl/pocl-kernel
> warning: File listed twice: /usr/share/pocl/pocl-workgroup
> 
> warning: File listed twice: /usr/lib64/pocl/llvmopencl.so.1
> warning: File listed twice: /usr/lib64/pocl/llvmopencl.so.1.1.0
> warning: File listed twice:
> /usr/lib64/pocl/x86_64/kernel-x86_64-redhat-linux-gnu.bc
> 
> warning: File listed twice: /usr/include/pocl/_kernel.h
> warning: File listed twice: /usr/include/pocl/arm/types.h
> warning: File listed twice: /usr/include/pocl/arm/types.h
> warning: File listed twice: /usr/include/pocl/pocl.h
> warning: File listed twice: /usr/include/pocl/pocl_device.h
> warning: File listed twice: /usr/include/pocl/tce/types.h
> warning: File listed twice: /usr/include/pocl/tce/types.h
> warning: File listed twice: /usr/include/pocl/x86_64/types.h
> 
> Not sure why it didn't trigger the error, just warning.

Thanks.
I was to focused on the rpmlint output. I'll address this.
Comment 17 Michael Schwendt 2013-08-14 08:53:58 EDT
https://fedoraproject.org/wiki/Packaging:UnownedDirectories
-> https://fedoraproject.org/wiki/Packaging:UnownedDirectories#Common_Mistakes

Plus, %defattr(-,root,root,-) is really not needed anymore, and not for EL5 either.
Comment 18 Fabian Deutsch 2013-08-14 08:56:41 EDT
(In reply to Michael Schwendt from comment #17)
> https://fedoraproject.org/wiki/Packaging:UnownedDirectories
> ->
> https://fedoraproject.org/wiki/Packaging:UnownedDirectories#Common_Mistakes
> 
> Plus, %defattr(-,root,root,-) is really not needed anymore, and not for EL5
> either.

Thanks, I already removed them in my local version.
Comment 19 Fabian Deutsch 2013-08-14 09:28:10 EDT
Here we go again:

Spec URL: https://raw.github.com/fabiand/pocl-spec/0.8-3/pocl.spec
SRPM URL: http://fedorapeople.org/~fabiand/pocl/pocl-0.8-3.fc19.src.rpm
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=5814332


As said in other comments:
* arm7lh is currently not supported by upstream.
  ppc/ppc64 builds are currently broken due to some problem. I guess because of 
  path problems. Needs investigation.
  All three arches are excluded.
* The path owning should be fixed now! Except for the sysconfdir path, but I 
  opened bug 996953 for this.
* The duplicate files issue should also be fixed.
* make check is now run during the %check phase.


$ rpmlint -v *.rpm ../pocl.spec pocl pocl-libs pocl-devel
pocl.i686: I: checking
pocl.i686: W: spelling-error %description -l en_US optimizations -> optimization, optimization's, optimization s
pocl.i686: W: spelling-error %description -l en_US parallelization -> palatalization, rationalization, pluralization
pocl.i686: W: spelling-error %description -l en_US superscalar -> super scalar, super-scalar, superstar
pocl.i686: I: checking-url http://pocl.sourceforge.net (timeout 10 seconds)
pocl.i686: E: no-binary
pocl.i686: W: no-manual-page-for-binary pocl-standalone
pocl.src: I: checking
pocl.src: W: spelling-error %description -l en_US optimizations -> optimization, optimization's, optimization s
pocl.src: W: spelling-error %description -l en_US parallelization -> palatalization, rationalization, pluralization
pocl.src: W: spelling-error %description -l en_US superscalar -> super scalar, super-scalar, superstar
pocl.src: I: checking-url http://pocl.sourceforge.net (timeout 10 seconds)
pocl.src: I: checking-url http://pocl.sourceforge.net/downloads/pocl-0.8.tar.gz (timeout 10 seconds)
pocl.x86_64: I: checking
pocl.x86_64: W: spelling-error %description -l en_US optimizations -> optimization, optimization's, optimization s
pocl.x86_64: W: spelling-error %description -l en_US parallelization -> palatalization, rationalization, pluralization
pocl.x86_64: W: spelling-error %description -l en_US superscalar -> super scalar, super-scalar, superstar
pocl.x86_64: I: checking-url http://pocl.sourceforge.net (timeout 10 seconds)
pocl.x86_64: E: no-binary
pocl.x86_64: W: no-manual-page-for-binary pocl-standalone
pocl-debuginfo.i686: I: checking
pocl-debuginfo.i686: I: checking-url http://pocl.sourceforge.net (timeout 10 seconds)
pocl-debuginfo.x86_64: I: checking
pocl-debuginfo.x86_64: I: checking-url http://pocl.sourceforge.net (timeout 10 seconds)
pocl-devel.i686: I: checking
pocl-devel.i686: I: checking-url http://pocl.sourceforge.net (timeout 10 seconds)
pocl-devel.i686: W: no-documentation
pocl-devel.i686: W: dangling-relative-symlink /usr/lib/pocl/llvmopencl.so llvmopencl.so.1.1.0
pocl-devel.x86_64: I: checking
pocl-devel.x86_64: I: checking-url http://pocl.sourceforge.net (timeout 10 seconds)
pocl-devel.x86_64: W: no-documentation
pocl-devel.x86_64: W: dangling-relative-symlink /usr/lib64/pocl/llvmopencl.so llvmopencl.so.1.1.0
pocl-libs.i686: I: checking
pocl-libs.i686: W: spelling-error %description -l en_US runtime -> run time, run-time, rudiment
pocl-libs.i686: I: checking-url http://pocl.sourceforge.net (timeout 10 seconds)
pocl-libs.i686: W: shared-lib-calls-exit /usr/lib/libpocl.so.1.1.0 exit@GLIBC_2.0
pocl-libs.i686: W: no-documentation
pocl-libs.i686: W: non-conffile-in-etc /etc/OpenCL/vendors/pocl.icd
pocl-libs.x86_64: I: checking
pocl-libs.x86_64: W: spelling-error %description -l en_US runtime -> run time, run-time, rudiment
pocl-libs.x86_64: I: checking-url http://pocl.sourceforge.net (timeout 10 seconds)
pocl-libs.x86_64: W: shared-lib-calls-exit /usr/lib64/libpocl.so.1.1.0 exit@GLIBC_2.2.5
pocl-libs.x86_64: W: no-documentation
pocl-libs.x86_64: W: non-conffile-in-etc /etc/OpenCL/vendors/pocl.icd
../pocl.spec: I: checking-url http://pocl.sourceforge.net/downloads/pocl-0.8.tar.gz (timeout 10 seconds)
pocl.x86_64: I: checking
pocl.x86_64: W: spelling-error %description -l en_US optimizations -> optimization, optimization's, optimization s
pocl.x86_64: W: spelling-error %description -l en_US parallelization -> palatalization, rationalization, pluralization
pocl.x86_64: W: spelling-error %description -l en_US superscalar -> super scalar, super-scalar, superstar
pocl.x86_64: I: checking-url http://pocl.sourceforge.net (timeout 10 seconds)
pocl.x86_64: E: no-binary
pocl.x86_64: W: no-manual-page-for-binary pocl-standalone
pocl-libs.x86_64: I: checking
pocl-libs.x86_64: W: spelling-error %description -l en_US runtime -> run time, run-time, rudiment
pocl-libs.x86_64: I: checking-url http://pocl.sourceforge.net (timeout 10 seconds)
pocl-libs.x86_64: W: shared-lib-calls-exit /usr/lib64/libpocl.so.1.1.0 exit@GLIBC_2.2.5
pocl-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libpoclu.so.1.1.0 clGetDeviceInfo
pocl-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libpoclu.so.1.1.0 clGetPlatformIDs
pocl-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libpoclu.so.1.1.0 clCreateContextFromType
pocl-libs.x86_64: W: no-documentation
pocl-libs.x86_64: W: non-conffile-in-etc /etc/OpenCL/vendors/pocl.icd
pocl-devel.x86_64: I: checking
pocl-devel.x86_64: I: checking-url http://pocl.sourceforge.net (timeout 10 seconds)
pocl-devel.x86_64: W: no-documentation
pocl-devel.x86_64: W: dangling-relative-symlink /usr/lib64/pocl/llvmopencl.so llvmopencl.so.1.1.0
12 packages and 1 specfiles checked; 3 errors, 36 warnings.

No obvious changes in the rpmlint output.
Comment 20 Michael Schwendt 2013-08-14 09:43:11 EDT
* https://fedoraproject.org/wiki/Packaging:Guidelines#Architecture_Build_Failures


> Name:     pocl
> Requires: %{name}-libs = %{version}-%{release}

> %package devel
> Requires: %{name}-libs = %{version}-%{release}

https://fedoraproject.org/wiki/Packaging:Guidelines#Requiring_Base_Package


> %post -p /sbin/ldconfig
> %postun -p /sbin/ldconfig

Not needed. No shared libs in there.


> %files libs
> %{_libdir}/pocl/

> %files devel
> %{_libdir}/libpoclu.so
> %{_libdir}/libpocl.so
> %{_libdir}/pocl/llvmopencl.so

As one can see, the llvmopencl.so library is included in both packages. In -libs because of including the full %{_libdir}/pocl/ tree, and in -devel as specific file.

What .so file is it? Due to its private path, it smells like a plug-in (extension module) rather than a lib needed at build-time. I assume it's misplaced if included in the -devel package. Please investigate. ;-)
Comment 21 Fabian Deutsch 2013-08-14 11:02:08 EDT
(In reply to Michael Schwendt from comment #20)
> *
> https://fedoraproject.org/wiki/Packaging:
> Guidelines#Architecture_Build_Failures
> 
> 
> > Name:     pocl
> > Requires: %{name}-libs = %{version}-%{release}
> 
> > %package devel
> > Requires: %{name}-libs = %{version}-%{release}
> 
> https://fedoraproject.org/wiki/Packaging:Guidelines#Requiring_Base_Package
> 
> 
> > %post -p /sbin/ldconfig
> > %postun -p /sbin/ldconfig
> 
> Not needed. No shared libs in there.
> 
> 
> > %files libs
> > %{_libdir}/pocl/
> 
> > %files devel
> > %{_libdir}/libpoclu.so
> > %{_libdir}/libpocl.so
> > %{_libdir}/pocl/llvmopencl.so
> 
> As one can see, the llvmopencl.so library is included in both packages. In
> -libs because of including the full %{_libdir}/pocl/ tree, and in -devel as
> specific file.

I just droppped the -libs subpackage.
The main package only consistend of the standalone script and some helpers. Now the base package contains the actual libraries which actualy are pocl.

> What .so file is it? Due to its private path, it smells like a plug-in
> (extension module) rather than a lib needed at build-time. I assume it's
> misplaced if included in the -devel package. Please investigate. ;-)

This is a private library used only by pocl (and helper scripts). So pulled it into the base package.

Sigh - We are so strict :)

Thanks, for your comments Michael, Peter, Susi.


Spec URL: https://raw.github.com/fabiand/pocl-spec/0.8-4/pocl.spec
SRPM URL: http://kojipkgs.fedoraproject.org//work/tasks/4674/5814674/pocl-0.8-4.fc20.src.rpm
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=5814673
Comment 22 Fabian Deutsch 2013-08-14 12:13:40 EDT
I'll open the bugs for the arch excludes later today.
Comment 23 Fabian Deutsch 2013-08-14 14:27:50 EDT
(In reply to Fabian Deutsch from comment #22)
> I'll open the bugs for the arch excludes later today.

Okay, IMHO the current state is fine wrt the (not yet( bugs for the ExcludeArch entries.
I'll open the bugs as soon as there is a bugzilla component for it.
IIUIC this is in compliance with our packaging guidelines [1]


[1] https://fedoraproject.org/wiki/Packaging:Guidelines#Architecture_Build_Failures
Comment 24 Peter Lemenkov 2013-08-14 14:30:56 EDT
(In reply to Fabian Deutsch from comment #22)
> I'll open the bugs for the arch excludes later today.

Ok. I'll try to fix PPC builds meanwhile.
Comment 25 Fabian Deutsch 2013-08-14 14:37:20 EDT
(In reply to Peter Lemenkov from comment #24)
> (In reply to Fabian Deutsch from comment #22)
> > I'll open the bugs for the arch excludes later today.
> 
> Ok. I'll try to fix PPC builds meanwhile.

The people in #polc on oftc are also willing to help. And pocl runs on ppc/ppc64 on ubuntu.
Comment 26 Peter Lemenkov 2013-08-14 14:51:02 EDT
Ok, I'm(In reply to Fabian Deutsch from comment #25)
> (In reply to Peter Lemenkov from comment #24)
> > (In reply to Fabian Deutsch from comment #22)
> > > I'll open the bugs for the arch excludes later today.
> > 
> > Ok. I'll try to fix PPC builds meanwhile.
> 
> The people in #polc on oftc are also willing to help. And pocl runs on
> ppc/ppc64 on ubuntu.

Runs? I seriously doubt it. I see too many failing tests. Maybe just compiles but definitely not runs.
Comment 27 Fabian Deutsch 2013-08-14 15:11:23 EDT
(In reply to Peter Lemenkov from comment #26)
> Ok, I'm(In reply to Fabian Deutsch from comment #25)
> > (In reply to Peter Lemenkov from comment #24)
> > > (In reply to Fabian Deutsch from comment #22)
> > > > I'll open the bugs for the arch excludes later today.
> > > 
> > > Ok. I'll try to fix PPC builds meanwhile.
> > 
> > The people in #polc on oftc are also willing to help. And pocl runs on
> > ppc/ppc64 on ubuntu.
> 
> Runs? I seriously doubt it. I see too many failing tests. Maybe just
> compiles but definitely not runs.

I suppose the failing testsuites are a result of link problems. Also the build passes on ppc, but to me it doesn't look as if it really was successful.

Anyhow, here is the CI tool from upstream:
http://tce.cs.tut.fi:8010/waterfall

There are a ppc and a ppc64 build
Comment 28 Björn "besser82" Esser 2013-08-15 04:11:06 EDT
!!! BUNDLED LIB AHEAD !!!

  pocl-0.8/include/utlist.h

See:

  yum provides */utlist.h

  Loaded plugins: fastestmirror, langpacks, priorities, refresh-packagekit
  Loading mirror speeds from cached hostfile
  1799 packages excluded due to repository priority protections
  uthash-1.9.8-3.fc19.noarch : A hash table for C structures
  Repo        : updates
  Matched from:
  Filename    : /usr/include/utlist.h

#####

please fix the sources to use uthash provided by external rpm and remove this from your package.
Comment 29 Björn "besser82" Esser 2013-08-15 04:32:40 EDT
It seems there's there's the whole "vecmathlib" bundled inside sources.

  pocl-0.8/lib/kernel/vecmathlib/README

  https://bitbucket.org/eschnett/vecmathlib/
Comment 30 Peter Lemenkov 2013-08-15 05:02:10 EDT
(In reply to Björn Esser from comment #29)
> It seems there's there's the whole "vecmathlib" bundled inside sources.
> 
>   pocl-0.8/lib/kernel/vecmathlib/README
> 
>   https://bitbucket.org/eschnett/vecmathlib/

IMO we should't bother with this particular library since it's not available in Fedora. However I suggest Fabian to unbundle it (and submit another package for review) after successfully including pocl into Fedora.
Comment 31 Björn "besser82" Esser 2013-08-15 05:27:25 EDT
(In reply to Peter Lemenkov from comment #30)
> (In reply to Björn Esser from comment #29)
> > It seems there's there's the whole "vecmathlib" bundled inside sources.
> > 
> >   pocl-0.8/lib/kernel/vecmathlib/README
> > 
> >   https://bitbucket.org/eschnett/vecmathlib/
> 
> IMO we should't bother with this particular library since it's not available
> in Fedora. However I suggest Fabian to unbundle it (and submit another
> package for review) after successfully including pocl into Fedora.

I can package vecmathlib during today, so Fabian can start unbundling during this review.
Comment 32 Fabian Deutsch 2013-08-15 05:28:07 EDT
(In reply to Peter Lemenkov from comment #30)
> (In reply to Björn Esser from comment #29)
> > It seems there's there's the whole "vecmathlib" bundled inside sources.
> > 
> >   pocl-0.8/lib/kernel/vecmathlib/README
> > 
> >   https://bitbucket.org/eschnett/vecmathlib/
> 
> IMO we should't bother with this particular library since it's not available
> in Fedora. However I suggest Fabian to unbundle it (and submit another
> package for review) after successfully including pocl into Fedora.

The reason for keeping the copy of vecmath lib is that they need the sources at runtime to build the kernels.
Comment 33 Fabian Deutsch 2013-08-15 06:34:27 EDT
(In reply to Björn Esser from comment #28)
> !!! BUNDLED LIB AHEAD !!!
> 
>   pocl-0.8/include/utlist.h
> 
> See:
> 
>   yum provides */utlist.h
> 
>   Loaded plugins: fastestmirror, langpacks, priorities, refresh-packagekit
>   Loading mirror speeds from cached hostfile
>   1799 packages excluded due to repository priority protections
>   uthash-1.9.8-3.fc19.noarch : A hash table for C structures
>   Repo        : updates
>   Matched from:
>   Filename    : /usr/include/utlist.h
> 
> #####
> 
> please fix the sources to use uthash provided by external rpm and remove
> this from your package.

-5 with an unbundled utlist.h and BR on uthash-devel.
Also updated the license field to also reflect the licenses of uthash and vecmath.

Spec URL: https://raw.github.com/fabiand/pocl-spec/0.8-5/pocl.spec
SRPM URL: http://fedorapeople.org/~fabiand/pocl/pocl-0.8-5.fc19.src.rpm
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=5818404
Comment 34 Fabian Deutsch 2013-08-18 16:03:15 EDT
Hey,

anynews on vecmath? And any more requests on this specific specfile?
Comment 35 Fabian Deutsch 2013-08-19 06:50:09 EDT
Because pocl is compiling kernels at runtime, the includedir needs to be part of the base package as some/all headers are required to build kernels.

Spec URL: https://raw.github.com/fabiand/pocl-spec/0.8-6/pocl.spec
SRPM URL: http://fedorapeople.org/~fabiand/pocl/pocl-0.8-6.fc19.src.rpm
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=5828770
Comment 36 Fabian Deutsch 2013-08-21 09:56:04 EDT
Hey,

any update on vecmath? Or can't I unbundle it after this package has landed in Fedora?

It seems as if vecmath is very pocl specific currently. And also developed by a pocl developer.
Comment 37 Fabian Deutsch 2013-08-26 05:33:13 EDT
News?
Comment 38 Peter Lemenkov 2013-08-26 05:38:02 EDT
(In reply to Fabian Deutsch from comment #36)
> Hey,
> 
> any update on vecmath? Or can't I unbundle it after this package has landed
> in Fedora?


IMHO (as I said earlier) we should package pocl as is and deal with bundled libs later. Having package in a testable state is better than not having it.
Comment 39 Fabian Deutsch 2013-08-26 13:46:34 EDT
(In reply to Peter Lemenkov from comment #38)
> (In reply to Fabian Deutsch from comment #36)
> > Hey,
> > 
> > any update on vecmath? Or can't I unbundle it after this package has landed
> > in Fedora?
> 
> 
> IMHO (as I said earlier) we should package pocl as is and deal with bundled
> libs later. Having package in a testable state is better than not having it.

+1
Comment 40 Björn "besser82" Esser 2013-08-27 07:01:04 EDT
Sorry for the delay here.  :)

There are still some (minor) issues are present.  :(

#####

Package Review
==============

Legend:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Header files in -devel subpackage, if present.
  Note: pocl : /usr/include/pocl/_kernel.h pocl :
  /usr/include/pocl/arm/types.h pocl : /usr/include/pocl/pocl.h pocl :
  /usr/include/pocl/pocl_device.h pocl : /usr/include/pocl/tce/types.h pocl :
  /usr/include/pocl/utlist.h pocl : /usr/include/pocl/x86_64/types.h
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#DevelPackages

  ---> these are needed during runtime to build the kernels


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: %build honors applicable compiler flags or justifies otherwise.
[!]: Package contains no bundled libraries without FPC exception.

     ---> vecmathlib and uthash are bundled currently.
          vectmatlib is wip to be unbundled.
          the uthash bundling should be resolved by adding
          "find . -depth -name uthash* | xargs rm -f" in %prep

[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package

     ---> except the headers, which are needed durung runtime

[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[-]: Package is not known to require ExcludeArch.

     ---> code has no support for armv7fl

[!]: Package complies to the Packaging Guidelines

     ---> issues as mentioned

[-]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.

     ---> no LICENSE / COPYING present in tarball...
          Please upstream to provide a LICENSE

[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "MIT/X11 (BSD like)", "BSD (2 clause)", "GPL (v2 or later)", "Unknown or
     generated". 137 files have unknown license. Detailed output of
     licensecheck in
     /home/besser82/shared/fedora/review/996232-pocl/licensecheck.txt

     ---> License should be "MIT and BSD and (GPLv3+ or LGPLv3+)"
          to avoid confusions

[-]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[!]: Package must own all directories that it creates.

     ---> "%{_sysconfdir}/OpenCL" is currently not owned.
          This is already wip to be solved by an extra-package.
          See: https://bugzilla.redhat.com/show_bug.cgi?id=996953

[-]: Package does not own files or directories owned by other packages.
[!]: Requires correct, justified where necessary.

     ---> missing Requires: uthash

[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

===== SHOULD items =====

Generic:
[!]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.

     ---> see above

[!]: Final provides and requires are sane (see attachments).

     ---> uthash, see above

[!]: Package functions as described.

     ---> uthash, see above

[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.

     ---> armv7fl is excluded, because code doesn't support this arch.

[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: pocl-0.8-6.fc21.x86_64.rpm
          pocl-devel-0.8-6.fc21.x86_64.rpm
pocl.x86_64: W: spelling-error %description -l en_US optimizations -> optimization, optimization's, optimization s
pocl.x86_64: W: spelling-error %description -l en_US parallelization -> palatalization, rationalization, pluralization
pocl.x86_64: W: spelling-error %description -l en_US superscalar -> super scalar, super-scalar, superstar
pocl.x86_64: W: shared-lib-calls-exit /usr/lib64/libpocl.so.1.1.0 exit@GLIBC_2.2.5
pocl.x86_64: W: devel-file-in-non-devel-package /usr/include/pocl/arm/types.h
pocl.x86_64: W: devel-file-in-non-devel-package /usr/include/pocl/pocl.h
pocl.x86_64: W: devel-file-in-non-devel-package /usr/include/pocl/x86_64/types.h
pocl.x86_64: W: dangling-symlink /usr/include/pocl/utlist.h /usr/include/utlist.h
pocl.x86_64: W: non-conffile-in-etc /etc/OpenCL/vendors/pocl.icd
pocl.x86_64: W: devel-file-in-non-devel-package /usr/include/pocl/tce/types.h
pocl.x86_64: W: devel-file-in-non-devel-package /usr/include/pocl/pocl_device.h
pocl.x86_64: W: devel-file-in-non-devel-package /usr/include/pocl/_kernel.h
pocl.x86_64: W: no-manual-page-for-binary pocl-standalone
pocl-devel.x86_64: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 14 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint pocl pocl-devel
pocl.x86_64: W: spelling-error %description -l en_US optimizations -> optimization, optimization's, optimization s
pocl.x86_64: W: spelling-error %description -l en_US parallelization -> palatalization, rationalization, pluralization
pocl.x86_64: W: spelling-error %description -l en_US superscalar -> super scalar, super-scalar, superstar
pocl.x86_64: W: shared-lib-calls-exit /usr/lib64/libpocl.so.1.1.0 exit@GLIBC_2.2.5
pocl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libpoclu.so.1.1.0 clGetDeviceInfo
pocl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libpoclu.so.1.1.0 clGetPlatformIDs
pocl.x86_64: W: undefined-non-weak-symbol /usr/lib64/libpoclu.so.1.1.0 clCreateContextFromType
pocl.x86_64: W: devel-file-in-non-devel-package /usr/include/pocl/arm/types.h
pocl.x86_64: W: devel-file-in-non-devel-package /usr/include/pocl/pocl.h
pocl.x86_64: W: devel-file-in-non-devel-package /usr/include/pocl/x86_64/types.h
pocl.x86_64: W: dangling-symlink /usr/include/pocl/utlist.h /usr/include/utlist.h
pocl.x86_64: W: non-conffile-in-etc /etc/OpenCL/vendors/pocl.icd
pocl.x86_64: W: devel-file-in-non-devel-package /usr/include/pocl/tce/types.h
pocl.x86_64: W: devel-file-in-non-devel-package /usr/include/pocl/pocl_device.h
pocl.x86_64: W: devel-file-in-non-devel-package /usr/include/pocl/_kernel.h
pocl.x86_64: W: no-manual-page-for-binary pocl-standalone
pocl-devel.x86_64: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 17 warnings.
# echo 'rpmlint-done:'

---> all fine here :)



Requires
--------
pocl (rpmlib, GLIBC filtered):
    /bin/sh
    /sbin/ldconfig
    clang
    libLLVM-3.3.so()(64bit)
    libc.so.6()(64bit)
    libdl.so.2()(64bit)
    libffi.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libhwloc.so.5()(64bit)
    libltdl.so.7()(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libz.so.1()(64bit)
    rtld(GNU_HASH)

pocl-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    libpocl.so.1()(64bit)
    libpoclu.so.1()(64bit)
    opencl-headers
    pkgconfig
    pocl(x86-64)



Provides
--------
pocl:
    libpocl.so.1()(64bit)
    libpoclu.so.1()(64bit)
    pocl
    pocl(x86-64)

pocl-devel:
    pkgconfig(pocl)
    pocl-devel
    pocl-devel(x86-64)



Unversioned so-files
--------------------
pocl: /usr/lib64/pocl/llvmopencl.so

Source checksums
----------------
http://pocl.sourceforge.net/downloads/pocl-0.8.tar.gz :
  CHECKSUM(SHA256) this package     : e1b7cb36c18101030f7a81d0ae366547caefe8c8c11c10f74531ad8142ac4492
  CHECKSUM(SHA256) upstream package : e1b7cb36c18101030f7a81d0ae366547caefe8c8c11c10f74531ad8142ac4492


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 996232

#####

  Please fix the issues and I'll take another run.  :)
Comment 41 Fabian Deutsch 2013-08-28 11:50:17 EDT
Spec URL: https://raw.github.com/fabiand/pocl-spec/0.8-7/pocl.spec
Spec commit: https://github.com/fabiand/pocl-spec/commit/086e647ac7400812cd9643ec29f337ae8fa114c9
SRPM URL: http://fedorapeople.org/~fabiand/pocl/pocl-0.8-7.fc19.src.rpm
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=5864799

(In reply to Björn "besser82" Esser from comment #40)
> Sorry for the delay here.  :)
> 
> There are still some (minor) issues are present.  :(

Let's see if I got all of them :)


> [!]: Package contains no bundled libraries without FPC exception.
> 
>      ---> vecmathlib and uthash are bundled currently.
>           vectmatlib is wip to be unbundled.
>           the uthash bundling should be resolved by adding
>           "find . -depth -name uthash* | xargs rm -f" in %prep

The utlist.h file i snow removed in %pre

> [-]: Package is not known to require ExcludeArch.
> 
>      ---> code has no support for armv7fl

I'll open a tracker bug for this as soon as the package lands.

>      ---> no LICENSE / COPYING present in tarball...
>           Please upstream to provide a LICENSE

https://github.com/pocl/pocl/issues/8

> [!]: License field in the package spec file matches the actual license.
>      Note: Checking patched sources after %prep for licenses. Licenses found:
>      "MIT/X11 (BSD like)", "BSD (2 clause)", "GPL (v2 or later)", "Unknown or
>      generated". 137 files have unknown license. Detailed output of
>      licensecheck in
>      /home/besser82/shared/fedora/review/996232-pocl/licensecheck.txt
> 
>      ---> License should be "MIT and BSD and (GPLv3+ or LGPLv3+)"
>           to avoid confusions

Done

> [!]: Package must own all directories that it creates.
> 
>      ---> "%{_sysconfdir}/OpenCL" is currently not owned.
>           This is already wip to be solved by an extra-package.
>           See: https://bugzilla.redhat.com/show_bug.cgi?id=996953

opencl-filesystem has landed.
The koji build above is build on rawhide where opencl-filesystem is already available.
The build requirements and requirements have been adjusted in this spec.

> [!]: Requires correct, justified where necessary.
> 
>      ---> missing Requires: uthash

Added.

>   Please fix the issues and I'll take another run.  :)

Your turn :)
Comment 42 Remi Collet 2013-08-29 05:29:28 EDT
Notice: it seems there is a confusion between "vecmath" which is a java library, available in Fedora, and vecmathlib use here.

This seems to be really a private library used by pocl. So I think it is ok to keep it as bundled.

When upstream will decide this is suitable for separate distribution, this have to be done in fedora as well.

But you can still open a FPC ticket to ask for an official answer ;)
Comment 43 Björn "besser82" Esser 2013-08-30 01:59:58 EDT
(In reply to Fabian Deutsch from comment #41)
> Your turn :)

Since all issues have been addressed now, I think it is safe to get this in now.  :)

Please add me as a co-maintainer to this in your SCM-request.

#####

APPROVED!!!
Comment 44 Fabian Deutsch 2013-08-30 02:15:33 EDT
New Package SCM Request
=======================
Package Name: pocl
Short Description: Portable Computing Language
Owners: fabiand besser82
Branches: f19 f20
InitialCC:
Comment 45 Jon Ciesla 2013-08-30 08:03:59 EDT
Git done (by process-git-requests).
Comment 46 Fabian Deutsch 2013-09-02 03:03:51 EDT
I'll push an update as soon as opencl-filesystem lands in updates-testing
Comment 47 Fedora Update System 2013-09-02 04:33:19 EDT
opencl-filesystem-1.0-1.fc19, pocl-0.8-7.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/FEDORA-2013-15439/pocl-0.8-7.fc19,opencl-filesystem-1.0-1.fc19
Comment 48 Fedora Update System 2013-09-02 19:31:03 EDT
opencl-filesystem-1.0-1.fc19, pocl-0.8-7.fc19 has been pushed to the Fedora 19 testing repository.
Comment 49 Fedora Update System 2013-09-10 21:51:48 EDT
opencl-filesystem-1.0-1.fc19, pocl-0.8-7.fc19 has been pushed to the Fedora 19 stable repository.
Comment 50 Fedora Update System 2013-09-20 14:57:06 EDT
pocl-0.8-7.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/pocl-0.8-7.fc20
Comment 51 Fedora Update System 2013-09-29 20:50:08 EDT
pocl-0.8-7.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.